{
  "lexicon": 1,
  "id": "space.polymodel.library.part",
  "defs": {
    "main": {
      "type": "record",
      "description": "A part: a single printable geometry file (STL/3MF/OBJ; multi-body discouraged).",
      "key": "tid",
      "record": {
        "type": "object",
        "required": [
          "name",
          "file",
          "createdAt"
        ],
        "properties": {
          "createdAt": {
            "type": "string",
            "format": "datetime"
          },
          "derivedFrom": {
            "type": "ref",
            "ref": "com.atproto.repo.strongRef"
          },
          "dimensions": {
            "type": "ref",
            "ref": "space.polymodel.library.defs#bbox"
          },
          "file": {
            "type": "ref",
            "ref": "space.polymodel.library.defs#file"
          },
          "format": {
            "type": "string"
          },
          "intendedToWorkWith": {
            "type": "array",
            "items": {
              "type": "ref",
              "ref": "com.atproto.repo.strongRef"
            },
            "maxLength": 32
          },
          "name": {
            "type": "string",
            "maxLength": 256,
            "maxGraphemes": 64
          },
          "notes": {
            "type": "string",
            "maxLength": 2000,
            "maxGraphemes": 300
          },
          "previews": {
            "type": "array",
            "items": {
              "type": "ref",
              "ref": "space.polymodel.library.defs#image"
            },
            "maxLength": 12
          },
          "printSettings": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "maxLength": 50
          },
          "units": {
            "type": "string",
            "default": "mm"
          }
        }
      }
    }
  }
}